org.apache.sysds.runtime.instructions.cp

## Class EvalNaryCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.BuiltinNaryCPInstruction
      - - org.apache.sysds.runtime.instructions.cp.EvalNaryCPInstruction

    public class EvalNaryCPInstruction
    extends BuiltinNaryCPInstruction

Eval built-in function instruction Note: it supports only single matrix[double] output

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`CPInstruction.CPType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`EvalNaryCPInstruction(Operator op, String opcode, String istr, CPOperand output, CPOperand... inputs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processInstruction(ExecutionContext ec)` This method should be used to execute the instruction.
`void` `updateInstructionThreadID(String pattern, String replace)` All instructions that have thread-specific filenames or names encoded in it should overwrite this method in order to update (1) the in-memory instruction and (2) the instruction string

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.BuiltinNaryCPInstruction

`getInputs, getOutput, parseInstruction`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`getCPInstructionType, getGraphString, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate, updateLabels`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EvalNaryCPInstruction

    public EvalNaryCPInstruction(Operator op,
                                 String opcode,
                                 String istr,
                                 CPOperand output,
                                 CPOperand... inputs)

### Method Detail

#### processInstruction

    public void processInstruction(ExecutionContext ec)

Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `CPInstruction`
Parameters:
  `ec` - execution context

#### updateInstructionThreadID

    public void updateInstructionThreadID(String pattern,
                                          String replace)

Description copied from class: `Instruction`
All instructions that have thread-specific filenames or names encoded in it should overwrite this method in order to update (1) the in-memory instruction and (2) the instruction string

Overrides:
  `updateInstructionThreadID` in class `Instruction`
Parameters:
  `pattern` - ?
  `replace` - ?